Skip to main content
POST
/
api
/
v1
/
auth
/
change-password
Şifre değiştir
curl --request POST \
  --url https://identity-sandbox.payven.com.tr/api/v1/auth/change-password \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "current_password": "<string>",
  "new_password": "<string>"
}
'
{
  "type": "https://docs.payven.com.tr/errors/bad_request",
  "title": "Geçersiz istek",
  "status": 400,
  "code": "bad_request",
  "detail": "amount.amount alanı zorunlu.",
  "correlation_id": "9f1c8e76-2a3b-4f12-9c8d-12cb24a8a8a8"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

Idempotency-Key
string

Body

current_password
string | null
new_password
string | null

Response

No Content